﻿B4J=true
Group=Default Group
ModulesStructureVersion=1
Type=StaticCode
Version=8
@EndOfDesignText@

'Based on BMStyle CSS BY BRIAN MICHAEL
'https://www.b4x.com/android/forum/threads/bmstyle-css-themes.114953/
'https://www.b4x.com/android/forum/threads/javafx-metro-style-css.114932/

Sub Process_Globals
	Private fx As JFX
	Private themefile As String
	Public frmStyle As String
	Public frmTheme As String = "Modena"	'"Dark", "Modena", "Silver", "Mac", "Bee", "Breeze"
End Sub

Public Sub ApplyTheme (Page As Object, Theme As String)

	'Options: "Dark", "Modena", "Silver", "Mac", "Bee", "Breeze"
	Try
		If Theme = "Dark" Then
			themefile = "nigth.css"
		Else If Theme = "Modena" Then
			themefile = "modena.css"
		Else If Theme = "Silver" Then
			themefile = "mist_silver.css"
		Else If Theme = "Mac" Then
			themefile = "mac_os.css"
		Else If Theme = "Bee" Then
			themefile = "flat_bee.css"
		Else If Theme = "Breeze" Then
			themefile = "breeze.css"
		End If
		frmTheme = Theme
		If B4XPages.GetNativeParent(Page).Stylesheets.Size <= 0 Then
			B4XPages.GetNativeParent(Page).Stylesheets.Add(File.GetUri(File.DirAssets, themefile))
		Else
			B4XPages.GetNativeParent(Page).Stylesheets.Set(0, File.GetUri(File.DirAssets, themefile))
		End If
		Log("UI Theme: " & frmTheme & " | Importing CSS: " & File.GetUri(File.DirAssets, themefile).Replace("%20"," ").Replace("!",""))
	Catch
		Log("Error Setting UI theme: " & " - " & frmTheme & " - " & LastException)
	End Try
End Sub

Public Sub ApplyStyle (Page As Object, Style As String)
	'Style: "TRANSPARENT", "DECORATED", "UNDECORATED", "UTILITY"
	Try
		Select Style
			Case "Transparent"
				Style = "TRANSPARENT"
			Case "Decorated"
				Style = "DECORATED"
			Case "Undecorated"
				Style = "UNDECORATED"
			Case "Utility"
				Style = "UTILITY"
		End Select
		frmStyle = Style
		B4XPages.GetNativeParent(Page).SetFormStyle(frmStyle)
		Log("UI Style: " & frmStyle & " | Importing CSS: ")
	Catch
		'Log("Error Setting UI theme: " & " - " & frmStyle  & " - " & LastException)
		Log(" ")
	End Try
End Sub


