﻿B4A=true
Group=Default Group
ModulesStructureVersion=1
Type=Class
Version=9.85
@EndOfDesignText@

'Ctrl + click to export as zip: ide://run?=&File=%B4X%\Zipper.jar&Args=Project.zip

Sub Class_Globals
	#If B4J
	Private fx As JFX
	#End if

	Private Root As B4XView 'ignore
	Private xui As XUI 'ignore
	
	Public Title As String = "AppDashUI - Modern User Interface"
	Public Label As String = "Welcome To AppDashUI!"

	Public txtUser As B4XFloatTextField
	Private btnLogin As B4XView
	Public AppDashUI1 As AppDashUIstyle1
	Public AppDashUI2 As AppDashUIstyle2
	
	Private pnlAppMainLogInUI As B4XView 'at layout, a pane
	Private Resizeable As Boolean =  True

	Private Button1 As B4XView
	Private Button2 As B4XView
	Private Button3 As B4XView
	Private Button4 As B4XView
	Private Button5 As B4XView

	Private Label1 As B4XView
End Sub

Public Sub Initialize
	B4XPages.GetManager.LogEvents = True
	B4XPages.GetManager.TransitionAnimationDuration = 0
	AppDashUIcodes.dd.Initialize
	xui.RegisterDesignerClass(AppDashUIcodes.dd)
End Sub

'This event will be called once, before the page becomes visible.
Private Sub B4XPage_Created (Root1 As B4XView)
	#If B4A
	Log("B4A = True")
	#Else If B4J
	Log("B4J = True")
	#End If
	If AppDashUIcodes.recentPageID = "" Then AppDashUIcodes.recentPageID = "MainPage"
	AppDashUIcodes.LoadPageSettings("MainPage", "MainPage B4XPage_Created")
	UIThemes.ApplyTheme(Me, UIThemes.frmTheme)
	UIThemes.ApplyStyle(Me, UIThemes.frmStyle)
	Log("MainPage B4XPage_Created / AppDashUIcodes.recentPageID: " & AppDashUIcodes.recentPageID & _
		" / " & UIThemes.frmTheme & ", " & UIThemes.frmStyle )
	Root = Root1
	AppDashUIcodes.InitializeFormUtils(Me)
	B4XPages.SetTitle(Me,Title)
	Root.LoadLayout("AppLogin")
	AppDashUI1.Initialize
	B4XPages.AddPage("AppDashUI 1", AppDashUI1)
	AppDashUI2.Initialize
	B4XPages.AddPage("AppDashUI 2", AppDashUI2)
'	B4XPages.MainPage.AppDashUI1.MainFormFocus(True)
	Label1.Text = Label
End Sub

Sub B4XPage_Appear
	If AppDashUIcodes.recentPageID = "" Then AppDashUIcodes.recentPageID = "MainPage"
	AppDashUIcodes.LoadPageSettings("MainPage", "MainPage B4XPage_Appear")
	UIThemes.ApplyTheme(Me, UIThemes.frmTheme)
	UIThemes.ApplyStyle(Me, UIThemes.frmStyle)
	Log("MainPage B4XPage_Appear / AppDashUIcodes.recentPageID: " & AppDashUIcodes.recentPageID & _
		" / " & UIThemes.frmTheme & ", " & UIThemes.frmStyle )
	txtUser.Text = ""
'	B4XPages.MainPage.AppDashUI1.HideDrawer
'	B4XPages.MainPage.AppDashUI1.MainFormFocus(True)
'	B4XPages.MainPage.lblHello.Text = $"Hello ${B4XPages.MainPage.txtUser.Text}!"$
	#If B4A Or B4i
	Sleep(0)
	B4XPages.GetManager.ActionBar.RunMethod("setDisplayHomeAsUpEnabled", Array(True))
	Dim bd As BitmapDrawable
	bd.Initialize(B4XPages.MainPage.HamburgerIcon)
	B4XPages.GetManager.ActionBar.RunMethod("setHomeAsUpIndicator", Array(bd))
	#End If
End Sub

Private Sub B4XPage_Disappear
	AppDashUIcodes.SaveAppPageSettings("MainPage")
	#If B4A Or B4i
	B4XPages.GetManager.ActionBar.RunMethod("setHomeAsUpIndicator", Array(0))
	#End If
End Sub

Private Sub InitializeAppFullScreen
	Dim jform As JavaObject = B4XPages.GetNativeParent(Me)
	Dim jStage As JavaObject=jform.GetFieldJO("stage")
	jStage.RunMethod("setMaximized", Array(True))
	jStage.RunMethod("setAlwaysOnTop", Array(True))
	B4XPages.GetNativeParent(Me).Resizable=False
End Sub

Public Sub InitializeFormFullscreen
	'Full Screen
	B4XPages.GetNativeParent(Me).WindowWidth = fx.PrimaryScreen.MaxX - fx.PrimaryScreen.MinX
	B4XPages.GetNativeParent(Me).WindowLeft = fx.PrimaryScreen.MinX
	B4XPages.GetNativeParent(Me).WindowHeight = fx.PrimaryScreen.MaxY - fx.PrimaryScreen.MinY
	B4XPages.GetNativeParent(Me).WindowTop = fx.PrimaryScreen.MinY
End Sub

Private Sub B4XPage_Resize (Width As Int, Height As Int)
	AppDashUIcodes.SaveAppPageSettings("MainPage")
End Sub

Sub btnLogin_Click
	AppDashUIcodes.ShowOtherPage("MainPage", "AppDashUI 1")
End Sub

Sub txtUser_TextChanged (Old As String, New As String)
	btnLogin.Enabled = New.Length > 0
End Sub

Sub txtUser_EnterPressed
	If btnLogin.Enabled Then btnLogin_Click
End Sub

#If B4J
#Else If B4A Or B4i
Private Sub MainForm_Touch (Action As Int, X As Float, Y As Float)
	B4XPages.MainPage.AppDashUI1.HideDrawer
End Sub
#End If

Private Sub B4XPage_Background

End Sub

Private Sub B4XPage_CloseRequest As ResumableSub
	AppDashUIcodes.SaveAppPageSettings("MainPage")
	#If B4A Or B4i
	'home button
	If Main.ActionBarHomeClicked Then
		B4XPages.MainPage.Drawer.LeftOpen = Not(B4XPages.MainPage.Drawer.LeftOpen)
		Return False
	End If
	'back key
	If B4XPages.MainPage.Drawer.LeftOpen Then
		B4XPages.MainPage.Drawer.LeftOpen = False
		Return False
	End If
	#End If
	Return True
End Sub

Private Sub btnSignOut_Click
	Try
		Dim sf As Object = xui.Msgbox2Async("Exit Application?", "", "OK", "Cancel", "", Null)
		Wait For (sf) Msgbox_Result (Result As Int)
		If Result = xui.DialogResponse_Positive Then
			AppDashUIcodes.SaveAppPageSettings("MainPage")
			ExitApplication
		End If
	Catch
		Log(LastException)
	End Try
End Sub

Private Sub pnlAppMainLogInUI_MousePressed (EventData As MouseEvent)
	AppDashUIcodes.MousePressed (Me, EventData)
End Sub

Private Sub pnlAppMainLogInUI_MouseDragged (EventData As MouseEvent)
	AppDashUIcodes.MouseDragged (Me, EventData)
End Sub

Private Sub pnlAppMainLogInUI_MouseReleased (EventData As MouseEvent)
	AppDashUIcodes.MouseReleased (Me, EventData)
End Sub

Private Sub Label_MousePressed (EventData As MouseEvent)
	AppDashUIcodes.MousePressed (Me, EventData)
End Sub

Private Sub Label_MouseDragged (EventData As MouseEvent)
	AppDashUIcodes.MouseDragged (Me, EventData)
End Sub

Private Sub Label_MouseReleased (EventData As MouseEvent)
	AppDashUIcodes.MouseReleased (Me, EventData)
End Sub

'Maximize, minimize, restore and full screen (programmatically)
'https://www.b4x.com/android/forum/threads/maximize-minimize-restore-and-full-screen-programmatically.128724/
Private Sub SetFullScreen(value As Boolean)
	Dim jForm As JavaObject = B4XPages.GetNativeParent(Me)
	Dim jStage As JavaObject = jForm.GetField("stage")
	jStage.RunMethod("setFullScreen", Array As Object(value))
End Sub

Private Sub MaximizeMe
	Dim jForm As JavaObject = B4XPages.GetNativeParent(Me)
	Dim jStage As JavaObject = jForm.GetField("stage")
	jStage.RunMethod("setMaximized", Array As Object(True))
End Sub

Private Sub RestoreMe
	Dim jForm As JavaObject = B4XPages.GetNativeParent(Me)
	Dim jStage As JavaObject = jForm.GetField("stage")
	jStage.RunMethod("setMaximized", Array As Object(False))
End Sub

Private Sub MinimizeMe
	Dim jForm As JavaObject = B4XPages.GetNativeParent(Me)
	Dim jStage As JavaObject = jForm.GetField("stage")
	jStage.RunMethod("setIconified", Array As Object(True))
End Sub

Private Sub DisableResize
'	B4XPages.GetNativeParent(Me).As(JavaObject).GetField("stage").As(JavaObject).RunMethod("setResizable", Array(False))
'	B4XPages.GetNativeParent(Me).Resizable = False
	Dim jForm As JavaObject = B4XPages.GetNativeParent(Me)
	Dim jStage As JavaObject = jForm.GetField("stage")
	jStage.RunMethod("setResizable", Array As Object(False))
End Sub

Private Sub EnableResize
	Dim jForm As JavaObject = B4XPages.GetNativeParent(Me)
	Dim jStage As JavaObject = jForm.GetField("stage")
	jStage.RunMethod("setResizable", Array As Object(True))
End Sub

Private Sub SetFormResize
	If Resizeable Then
		DisableResize
	Else
		EnableResize
	End If
	Resizeable = Not(Resizeable)
End Sub

Private Sub Button1_Click
	SetFullScreen(True)
End Sub

Private Sub Button2_Click
	SetFullScreen(False)
End Sub

Private Sub Button3_Click
	MaximizeMe
End Sub

Private Sub Button4_Click
	RestoreMe
End Sub

Private Sub Button5_Click
	MinimizeMe
End Sub


